#--------------------------------------------
# Declare Global Variables and Functions here
#--------------------------------------------

function Start-Main {
	<#
    .SYNOPSIS
        The Start-Main function is called via Main function from Startup.pss.
    
    .PARAMETER Commandline
        $Commandline contains the complete argument string passed to the script packager executable.
    
    .NOTES
        Use this function to initialize your script and to call GUI forms.
		
    .NOTES
        To get the console output in the Packager (Forms Engine) use: 
		$ConsoleOutput (Type: System.Collections.ArrayList)
    #>
    param ([String]$Commandline)
    <#
    --------------------------------------------------------------------------
    # TODO: Add initialization script here, load modules and check requirements
    --------------------------------------------------------------------------
    #>
    
    if ((Show-MainForm_psf) -eq 'OK') { }
    
    #Set the exit code for the Packager
    $script:ExitCode = 0
}

#Sample function that provides the location of the script
function Get-ScriptDirectory
{
<#
	.SYNOPSIS
		Get-ScriptDirectory returns the proper location of the script.

	.OUTPUTS
		System.String
	
	.NOTES
		Returns the correct path within a packaged executable.
#>
	[OutputType([string])]
	param ()
	if ($null -ne $hostinvocation)
	{
		Split-Path $hostinvocation.MyCommand.path
	}
	else
	{
		Split-Path $script:MyInvocation.MyCommand.Path
	}
}

#Sample variable that provides the location of the script
[string]$ScriptDirectory = Get-ScriptDirectory



